RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
constraints.h File Reference
Constraining the Secondary Structure Predictions and Evaluations

Functions and data structures for constraining secondary structure predictions and evaluation. More...

Include dependency graph for constraints.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | VRNA_CONSTRAINT_FILE 0
| Flag for vrna_constraints_add() to indicate that constraints are present in a text file. More...
#define | VRNA_CONSTRAINT_SOFT_MFE 0
| Indicate generation of constraints for MFE folding. More...
#define | VRNA_CONSTRAINT_SOFT_PF VRNA_OPTION_PF
| Indicate generation of constraints for partition function computation. More...
#define | VRNA_DECOMP_PAIR_HP 1
| Flag passed to generic softt constraints callback to indicate hairpin loop decomposition step. More...
#define | VRNA_DECOMP_PAIR_IL 2
| Indicator for interior loop decomposition step. More...
#define | VRNA_DECOMP_PAIR_ML 3
| Indicator for multibranch loop decomposition step. More...
#define | VRNA_DECOMP_ML_ML_ML 5
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_ML_STEM 4
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_ML_ML 6
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_ML_UP 11
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_ML_ML_STEM 20
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_ML_COAXIAL 13
| Indicator for decomposition of multibranch loop part. More...
#define | VRNA_DECOMP_EXT_EXT 9
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_UP 8
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_STEM 14
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_EXT_EXT 15
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_STEM_EXT 16
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_STEM_OUTSIDE 17
| Indicator for decomposition of exterior loop part.
#define | VRNA_DECOMP_EXT_EXT_STEM 18
| Indicator for decomposition of exterior loop part. More...
#define | VRNA_DECOMP_EXT_EXT_STEM1 19
| Indicator for decomposition of exterior loop part. More...

## Functions
void | vrna_constraints_add (vrna_fold_compound_t *vc, const char *constraint, unsigned int options)
| Add constraints to a vrna_fold_compound_t data structure. More...

## Detailed Description

Functions and data structures for constraining secondary structure predictions and evaluation.